| OpenGL-2.2.1.1: A binding for the OpenGL graphics system | Source code | Contents | Index
Graphics.Rendering.OpenGL.GLU.NURBS |
Portability | portable
Stability | stable
Maintainer | sven.panne@aedion.de
Description
This module corresponds to chapter 7 (NURBS) of the GLU specs.
Documentation
data NURBSObj | Source
withNURBSObj :: a -> (NURBSObj -> IO a) -> IO a | Source
type NURBSBeginCallback = PrimitiveMode -> IO () | Source
withNURBSBeginCallback :: NURBSObj -> NURBSBeginCallback -> IO a -> IO a | Source
type NURBSVertexCallback = Vertex3 GLfloat -> IO () | Source
withNURBSVertexCallback :: NURBSObj -> NURBSVertexCallback -> IO a -> IO a | Source
type NURBSNormalCallback = Normal3 GLfloat -> IO () | Source
withNURBSNormalCallback :: NURBSObj -> NURBSNormalCallback -> IO a -> IO a | Source
type NURBSColorCallback = Color4 GLfloat -> IO () | Source
withNURBSColorCallback :: NURBSObj -> NURBSColorCallback -> IO a -> IO a | Source
type NURBSEndCallback = IO () | Source
withNURBSEndCallback :: NURBSObj -> NURBSEndCallback -> IO a -> IO a | Source
checkForNURBSError :: NURBSObj -> IO a -> IO a | Source
nurbsBeginEndCurve :: NURBSObj -> IO a -> IO a | Source
nurbsCurve :: ControlPoint c => NURBSObj -> GLint -> Ptr GLfloat -> GLint -> Ptr (c GLfloat) -> GLint -> IO () | Source
nurbsBeginEndSurface :: NURBSObj -> IO a -> IO a | Source
nurbsSurface :: ControlPoint c => NURBSObj -> GLint -> Ptr GLfloat -> GLint -> Ptr GLfloat -> GLint -> GLint -> Ptr (c GLfloat) -> GLint -> GLint -> IO () | Source
class TrimmingPoint p | Source
Instances
TrimmingPoint Vertex2
TrimmingPoint Vertex3
nurbsBeginEndTrim :: NURBSObj -> IO a -> IO a | Source
pwlCurve :: TrimmingPoint p => NURBSObj -> GLint -> Ptr (p GLfloat) -> GLint -> IO () | Source
trimmingCurve :: TrimmingPoint c => NURBSObj -> GLint -> Ptr GLfloat -> GLint -> Ptr (c GLfloat) -> GLint -> IO () | Source
data NURBSMode | Source
Constructors
NURBSTessellator |
NURBSRenderer |
Instances
Eq NURBSMode
Ord NURBSMode
Show NURBSMode
setNURBSMode :: NURBSObj -> NURBSMode -> IO () | Source
setNURBSCulling :: NURBSObj -> Capability -> IO () | Source
data SamplingMethod | Source
Constructors
PathLength GLfloat |
ParametricError GLfloat |
DomainDistance GLfloat GLfloat |
ObjectPathLength GLfloat |
ObjectParametricError GLfloat |
Instances
Eq SamplingMethod
Ord SamplingMethod
Show SamplingMethod
setSamplingMethod :: NURBSObj -> SamplingMethod -> IO () | Source
loadSamplingMatrices :: (Matrix m1, Matrix m2) => NURBSObj -> Maybe (m1 GLfloat, m2 GLfloat, (Position, Size)) -> IO () | Source
data DisplayMode' | Source
Constructors
Fill' |
OutlinePolygon |
OutlinePatch |
Instances
Eq DisplayMode'
Ord DisplayMode'
Show DisplayMode'
setDisplayMode' :: NURBSObj -> DisplayMode' -> IO () | Source
Produced by Haddock version 0.9